__all__ = ["raw_table"]

MONITORING = False
CONFIG = True

raw_tables = (
    ("acknowledges",               "1.3.1",  "7.0.3",  MONITORING,  ),
    ("actions",                    "1.3.1",  "7.0.3",  CONFIG,      ),
    ("alerts",                     "1.3.1",  "7.0.3",  MONITORING,  ),
    ("application_discovery",      "2.5.0",  "5.2.7",  CONFIG,      ),
    ("application_prototype",      "2.5.0",  "5.2.7",  CONFIG,      ),
    ("application_template",       "2.1.0",  "5.2.7",  CONFIG,      ),
    ("applications",               "1.3.1",  "5.2.7",  CONFIG,      ),
    ("auditlog",                   "1.3.1",  "7.0.3",  MONITORING,  ),
    ("auditlog_details",           "1.7",    "5.4.12", MONITORING,  ),
    ("autoreg",                    "1.3.1",  "1.3.4",  CONFIG,      ),
    ("autoreg_host",               "1.7",    "7.0.3",  CONFIG,      ),
    ("changelog",                  "6.2.0",  "7.0.3",  CONFIG,      ),
    ("conditions",                 "1.3.1",  "7.0.3",  CONFIG,      ),
    ("config",                     "1.3.1",  "7.0.3",  CONFIG,      ),
    ("config_autoreg_tls",         "4.4.0",  "7.0.3",  CONFIG,      ),
    ("connector",                  "6.4.0",  "7.0.3",  CONFIG,      ),
    ("connector_tag",              "6.4.0",  "7.0.3",  CONFIG,      ),
    ("corr_condition",             "3.2.0",  "7.0.3",  CONFIG,      ),
    ("corr_condition_group",       "3.2.0",  "7.0.3",  CONFIG,      ),
    ("corr_condition_tag",         "3.2.0",  "7.0.3",  CONFIG,      ),
    ("corr_condition_tagpair",     "3.2.0",  "7.0.3",  CONFIG,      ),
    ("corr_condition_tagvalue",    "3.2.0",  "7.0.3",  CONFIG,      ),
    ("corr_operation",             "3.2.0",  "7.0.3",  CONFIG,      ),
    ("correlation",                "3.2.0",  "7.0.3",  CONFIG,      ),
    ("dashboard",                  "3.4.0",  "7.0.3",  CONFIG,      ),
    ("dashboard_page",             "5.4.0",  "7.0.3",  CONFIG,      ),
    ("dashboard_user",             "3.4.0",  "7.0.3",  CONFIG,      ),
    ("dashboard_usrgrp",           "3.4.0",  "7.0.3",  CONFIG,      ),
    ("dbversion",                  "2.1.0",  "7.0.3",  CONFIG,      ),
    ("dchecks",                    "1.3.4",  "7.0.3",  CONFIG,      ),
    ("dhosts",                     "1.3.4",  "7.0.3",  CONFIG,      ),
    ("drules",                     "1.3.4",  "7.0.3",  CONFIG,      ),
    ("dservices",                  "1.3.4",  "7.0.3",  CONFIG,      ),
    ("escalations",                "1.5.3",  "7.0.3",  CONFIG,      ),
    ("event_recovery",             "3.2.0",  "7.0.3",  MONITORING,  ),
    ("event_suppress",             "4.0.0",  "7.0.3",  MONITORING,  ),
    ("event_symptom",              "6.4.0",  "7.0.3",  MONITORING,  ),
    ("event_tag",                  "3.2.0",  "7.0.3",  MONITORING,  ),
    ("events",                     "1.3.1",  "7.0.3",  MONITORING,  ),
    ("expressions",                "1.7",    "7.0.3",  CONFIG,      ),
    ("functions",                  "1.3.1",  "7.0.3",  CONFIG,      ),
    ("globalmacro",                "1.7",    "7.0.3",  CONFIG,      ),
    ("globalvars",                 "1.9.6",  "7.0.3",  CONFIG,      ),
    ("graph_discovery",            "1.9.0",  "7.0.3",  CONFIG,      ),
    ("graph_theme",                "1.7",    "7.0.3",  CONFIG,      ),
    ("graphs",                     "1.3.1",  "7.0.3",  CONFIG,      ),
    ("graphs_items",               "1.3.1",  "7.0.3",  CONFIG,      ),
    ("group_discovery",            "2.1.4",  "7.0.3",  CONFIG,      ),
    ("group_prototype",            "2.1.4",  "7.0.3",  CONFIG,      ),
    ("groups",                     "1.3.1",  "3.4.15", CONFIG,      ),
    ("ha_node",                    "6.0.0",  "7.0.3",  CONFIG,      ),
    ("help_items",                 "1.3.1",  "2.1.8",  CONFIG,      ),
    ("hgset",                      "7.0.0",  "7.0.3",  CONFIG,      ),
    ("hgset_group",                "7.0.0",  "7.0.3",  CONFIG,      ),
    ("history",                    "1.3.1",  "7.0.3",  MONITORING,  ),
    ("history_bin",                "7.0.0",  "7.0.3",  MONITORING,  ),
    ("history_log",                "1.3.1",  "7.0.3",  MONITORING,  ),
    ("history_str",                "1.3.1",  "7.0.3",  MONITORING,  ),
    ("history_str_sync",           "1.3.1",  "2.2.23", MONITORING,  ),
    ("history_sync",               "1.3.1",  "2.2.23", MONITORING,  ),
    ("history_text",               "1.3.1",  "7.0.3",  MONITORING,  ),
    ("history_uint",               "1.3.1",  "7.0.3",  MONITORING,  ),
    ("history_uint_sync",          "1.3.1",  "2.2.23", MONITORING,  ),
    ("host_discovery",             "2.1.4",  "7.0.3",  CONFIG,      ),
    ("host_hgset",                 "7.0.0",  "7.0.3",  CONFIG,      ),
    ("host_inventory",             "1.9.6",  "7.0.3",  CONFIG,      ),
    ("host_profile",               "1.9.3",  "1.9.5",  CONFIG,      ),
    ("host_proxy",                 "7.0.0",  "7.0.3",  CONFIG,      ),
    ("host_rtdata",                "6.2.0",  "7.0.3",  CONFIG,      ),
    ("host_tag",                   "4.2.0",  "7.0.3",  CONFIG,      ),
    ("hostmacro",                  "1.7",    "7.0.3",  CONFIG,      ),
    ("hosts",                      "1.3.1",  "7.0.3",  CONFIG,      ),
    ("hosts_groups",               "1.3.1",  "7.0.3",  CONFIG,      ),
    ("hosts_profiles",             "1.3.1",  "1.9.2",  CONFIG,      ),
    ("hosts_profiles_ext",         "1.6",    "1.9.2",  CONFIG,      ),
    ("hosts_templates",            "1.3.1",  "7.0.3",  CONFIG,      ),
    ("housekeeper",                "1.3.1",  "7.0.3",  CONFIG,      ),
    ("hstgrp",                     "4.0.0",  "7.0.3",  CONFIG,      ),
    ("httpstep",                   "1.3.3",  "7.0.3",  CONFIG,      ),
    ("httpstep_field",             "3.4.0",  "7.0.3",  CONFIG,      ),
    ("httpstepitem",               "1.3.3",  "7.0.3",  CONFIG,      ),
    ("httptest",                   "1.3.3",  "7.0.3",  CONFIG,      ),
    ("httptest_field",             "3.4.0",  "7.0.3",  CONFIG,      ),
    ("httptest_tag",               "5.4.0",  "7.0.3",  CONFIG,      ),
    ("httptestitem",               "1.3.3",  "7.0.3",  CONFIG,      ),
    ("icon_map",                   "1.9.6",  "7.0.3",  CONFIG,      ),
    ("icon_mapping",               "1.9.6",  "7.0.3",  CONFIG,      ),
    ("ids",                        "1.3.3",  "7.0.3",  CONFIG,      ),
    ("images",                     "1.3.1",  "7.0.3",  CONFIG,      ),
    ("interface",                  "1.9.1",  "7.0.3",  CONFIG,      ),
    ("interface_discovery",        "2.1.4",  "7.0.3",  CONFIG,      ),
    ("interface_snmp",             "5.0.0",  "7.0.3",  CONFIG,      ),
    ("item_application_prototype", "2.5.0",  "5.2.7",  CONFIG,      ),
    ("item_condition",             "2.3.0",  "7.0.3",  CONFIG,      ),
    ("item_discovery",             "1.9.0",  "7.0.3",  CONFIG,      ),
    ("item_parameter",             "5.2.0",  "7.0.3",  CONFIG,      ),
    ("item_preproc",               "3.4.0",  "7.0.3",  CONFIG,      ),
    ("item_rtdata",                "4.4.0",  "7.0.3",  CONFIG,      ),
    ("item_rtname",                "7.0.0",  "7.0.3",  CONFIG,      ),
    ("item_tag",                   "5.4.0",  "7.0.3",  CONFIG,      ),
    ("items",                      "1.3.1",  "7.0.3",  CONFIG,      ),
    ("items_applications",         "1.3.1",  "5.2.7",  CONFIG,      ),
    ("lld_macro_path",             "4.2.0",  "7.0.3",  CONFIG,      ),
    ("lld_override",               "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_condition",     "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_opdiscover",    "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_operation",     "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_ophistory",     "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_opinventory",   "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_opperiod",      "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_opseverity",    "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_opstatus",      "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_optag",         "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_optemplate",    "5.0.0",  "7.0.3",  CONFIG,      ),
    ("lld_override_optrends",      "5.0.0",  "7.0.3",  CONFIG,      ),
    ("maintenance_tag",            "4.0.0",  "7.0.3",  CONFIG,      ),
    ("maintenances",               "1.7",    "7.0.3",  CONFIG,      ),
    ("maintenances_groups",        "1.7",    "7.0.3",  CONFIG,      ),
    ("maintenances_hosts",         "1.7",    "7.0.3",  CONFIG,      ),
    ("maintenances_windows",       "1.7",    "7.0.3",  CONFIG,      ),
    ("mappings",                   "1.3.1",  "5.2.7",  CONFIG,      ),
    ("media",                      "1.3.1",  "7.0.3",  CONFIG,      ),
    ("media_type",                 "1.3.1",  "7.0.3",  CONFIG,      ),
    ("media_type_message",         "5.0.0",  "7.0.3",  CONFIG,      ),
    ("media_type_param",           "4.4.0",  "7.0.3",  CONFIG,      ),
    ("mfa",                        "7.0.0",  "7.0.3",  CONFIG,      ),
    ("mfa_totp_secret",            "7.0.0",  "7.0.3",  CONFIG,      ),
    ("module",                     "5.0.0",  "7.0.3",  CONFIG,      ),
    ("node_cksum",                 "1.3.1",  "2.2.23", CONFIG,      ),
    ("node_configlog",             "1.3.1",  "1.4.7",  CONFIG,      ),
    ("nodes",                      "1.3.1",  "2.2.23", CONFIG,      ),
    ("opcommand",                  "1.9.4",  "7.0.3",  CONFIG,      ),
    ("opcommand_grp",              "1.9.2",  "7.0.3",  CONFIG,      ),
    ("opcommand_hst",              "1.9.2",  "7.0.3",  CONFIG,      ),
    ("opconditions",               "1.5.3",  "7.0.3",  CONFIG,      ),
    ("operations",                 "1.3.4",  "7.0.3",  CONFIG,      ),
    ("opgroup",                    "1.9.2",  "7.0.3",  CONFIG,      ),
    ("opinventory",                "3.0.0",  "7.0.3",  CONFIG,      ),
    ("opmediatypes",               "1.7",    "1.8.22", CONFIG,      ),
    ("opmessage",                  "1.9.2",  "7.0.3",  CONFIG,      ),
    ("opmessage_grp",              "1.9.2",  "7.0.3",  CONFIG,      ),
    ("opmessage_usr",              "1.9.2",  "7.0.3",  CONFIG,      ),
    ("optag",                      "7.0.0",  "7.0.3",  CONFIG,      ),
    ("optemplate",                 "1.9.2",  "7.0.3",  CONFIG,      ),
    ("permission",                 "7.0.0",  "7.0.3",  CONFIG,      ),
    ("problem",                    "3.2.0",  "7.0.3",  MONITORING,  ),
    ("problem_tag",                "3.2.0",  "7.0.3",  MONITORING,  ),
    ("profiles",                   "1.3.1",  "7.0.3",  CONFIG,      ),
    ("proxy",                      "7.0.0",  "7.0.3",  CONFIG,      ),
    ("proxy_autoreg_host",         "1.7",    "7.0.3",  CONFIG,      ),
    ("proxy_dhistory",             "1.5",    "7.0.3",  CONFIG,      ),
    ("proxy_group",                "7.0.0",  "7.0.3",  CONFIG,      ),
    ("proxy_group_rtdata",         "7.0.0",  "7.0.3",  CONFIG,      ),
    ("proxy_history",              "1.5.1",  "7.0.3",  CONFIG,      ),
    ("proxy_rtdata",               "7.0.0",  "7.0.3",  CONFIG,      ),
    ("regexps",                    "1.7",    "7.0.3",  CONFIG,      ),
    ("report",                     "5.4.0",  "7.0.3",  CONFIG,      ),
    ("report_param",               "5.4.0",  "7.0.3",  CONFIG,      ),
    ("report_user",                "5.4.0",  "7.0.3",  CONFIG,      ),
    ("report_usrgrp",              "5.4.0",  "7.0.3",  CONFIG,      ),
    ("rights",                     "1.3.1",  "7.0.3",  CONFIG,      ),
    ("role",                       "5.2.0",  "7.0.3",  CONFIG,      ),
    ("role_rule",                  "5.2.0",  "7.0.3",  CONFIG,      ),
    ("scim_group",                 "6.4.0",  "7.0.3",  CONFIG,      ),
    ("screen_user",                "3.0.0",  "5.2.7",  CONFIG,      ),
    ("screen_usrgrp",              "3.0.0",  "5.2.7",  CONFIG,      ),
    ("screens",                    "1.3.1",  "5.2.7",  CONFIG,      ),
    ("screens_items",              "1.3.1",  "5.2.7",  CONFIG,      ),
    ("script_param",               "5.4.0",  "7.0.3",  CONFIG,      ),
    ("scripts",                    "1.5",    "7.0.3",  CONFIG,      ),
    ("service_alarms",             "1.3.1",  "7.0.3",  CONFIG,      ),
    ("service_problem",            "6.0.0",  "7.0.3",  CONFIG,      ),
    ("service_problem_tag",        "6.0.0",  "7.0.3",  CONFIG,      ),
    ("service_status_rule",        "6.0.0",  "7.0.3",  CONFIG,      ),
    ("service_tag",                "6.0.0",  "7.0.3",  CONFIG,      ),
    ("services",                   "1.3.1",  "7.0.3",  CONFIG,      ),
    ("services_links",             "1.3.1",  "7.0.3",  CONFIG,      ),
    ("services_times",             "1.3.1",  "5.4.12", CONFIG,      ),
    ("sessions",                   "1.3.1",  "7.0.3",  CONFIG,      ),
    ("sla",                        "6.0.0",  "7.0.3",  CONFIG,      ),
    ("sla_excluded_downtime",      "6.0.0",  "7.0.3",  CONFIG,      ),
    ("sla_schedule",               "6.0.0",  "7.0.3",  CONFIG,      ),
    ("sla_service_tag",            "6.0.0",  "7.0.3",  CONFIG,      ),
    ("slides",                     "1.3.4",  "5.2.7",  CONFIG,      ),
    ("slideshow_user",             "3.0.0",  "5.2.7",  CONFIG,      ),
    ("slideshow_usrgrp",           "3.0.0",  "5.2.7",  CONFIG,      ),
    ("slideshows",                 "1.3.4",  "5.2.7",  CONFIG,      ),
    ("sysmap_element_trigger",     "3.4.0",  "7.0.3",  CONFIG,      ),
    ("sysmap_element_url",         "1.9.0",  "7.0.3",  CONFIG,      ),
    ("sysmap_shape",               "3.4.0",  "7.0.3",  CONFIG,      ),
    ("sysmap_url",                 "1.9.0",  "7.0.3",  CONFIG,      ),
    ("sysmap_user",                "3.0.0",  "7.0.3",  CONFIG,      ),
    ("sysmap_usrgrp",              "3.0.0",  "7.0.3",  CONFIG,      ),
    ("sysmaps",                    "1.3.1",  "7.0.3",  CONFIG,      ),
    ("sysmaps_element_tag",        "5.4.0",  "7.0.3",  CONFIG,      ),
    ("sysmaps_elements",           "1.3.1",  "7.0.3",  CONFIG,      ),
    ("sysmaps_link_triggers",      "1.5",    "7.0.3",  CONFIG,      ),
    ("sysmaps_links",              "1.3.1",  "7.0.3",  CONFIG,      ),
    ("tag_filter",                 "4.0.0",  "7.0.3",  CONFIG,      ),
    ("task",                       "3.2.0",  "7.0.3",  MONITORING,  ),
    ("task_acknowledge",           "3.4.0",  "7.0.3",  MONITORING,  ),
    ("task_check_now",             "4.0.0",  "7.0.3",  MONITORING,  ),
    ("task_close_problem",         "3.2.0",  "7.0.3",  MONITORING,  ),
    ("task_data",                  "5.0.0",  "7.0.3",  CONFIG,      ),
    ("task_remote_command",        "3.4.0",  "7.0.3",  MONITORING,  ),
    ("task_remote_command_result", "3.4.0",  "7.0.3",  MONITORING,  ),
    ("task_result",                "5.0.0",  "7.0.3",  CONFIG,      ),
    ("timeperiods",                "1.7",    "7.0.3",  CONFIG,      ),
    ("token",                      "5.4.0",  "7.0.3",  CONFIG,      ),
    ("trends",                     "1.3.1",  "7.0.3",  MONITORING,  ),
    ("trends_uint",                "1.5",    "7.0.3",  MONITORING,  ),
    ("trigger_depends",            "1.3.1",  "7.0.3",  CONFIG,      ),
    ("trigger_discovery",          "1.9.0",  "7.0.3",  CONFIG,      ),
    ("trigger_queue",              "5.2.0",  "7.0.3",  CONFIG,      ),
    ("trigger_tag",                "3.2.0",  "7.0.3",  CONFIG,      ),
    ("triggers",                   "1.3.1",  "7.0.3",  CONFIG,      ),
    ("ugset",                      "7.0.0",  "7.0.3",  CONFIG,      ),
    ("ugset_group",                "7.0.0",  "7.0.3",  CONFIG,      ),
    ("user_history",               "1.7",    "2.4.8",  CONFIG,      ),
    ("user_scim_group",            "6.4.0",  "7.0.3",  CONFIG,      ),
    ("user_ugset",                 "7.0.0",  "7.0.3",  CONFIG,      ),
    ("userdirectory",              "6.2.0",  "7.0.3",  CONFIG,      ),
    ("userdirectory_idpgroup",     "6.4.0",  "7.0.3",  CONFIG,      ),
    ("userdirectory_ldap",         "6.4.0",  "7.0.3",  CONFIG,      ),
    ("userdirectory_media",        "6.4.0",  "7.0.3",  CONFIG,      ),
    ("userdirectory_saml",         "6.4.0",  "7.0.3",  CONFIG,      ),
    ("userdirectory_usrgrp",       "6.4.0",  "7.0.3",  CONFIG,      ),
    ("users",                      "1.3.1",  "7.0.3",  CONFIG,      ),
    ("users_groups",               "1.3.1",  "7.0.3",  CONFIG,      ),
    ("usrgrp",                     "1.3.1",  "7.0.3",  CONFIG,      ),
    ("valuemap",                   "5.4.0",  "7.0.3",  CONFIG,      ),
    ("valuemap_mapping",           "5.4.0",  "7.0.3",  CONFIG,      ),
    ("valuemaps",                  "1.3.1",  "5.2.7",  CONFIG,      ),
    ("widget",                     "3.4.0",  "7.0.3",  CONFIG,      ),
    ("widget_field",               "3.4.0",  "7.0.3",  CONFIG,      ),
)